<template>

<footer>
        <div class="footer_bg">
          <div class="container">
            <div class="row">
              <div class="col-md-12 col-lg-3"><a href="/" replace><img :src="`${options.storage_root}${domain.footer_logo_path}`"></a></div>
              <div class="col-sm-12 col-md-6 col-lg-3">
                <div class="ftr-menu-block">
                  <h3 class="d-none d-md-block">Quick Links</h3>
                  <h3 class="d-md-none ftr-link">Quick Links</h3>
                  <ul class="quick-link" id="footer-menu">
                    <li><a href="/">Home</a></li>
                    <li><a href="/about-us">About Us</a></li>
                    <li><a href="/rent-own">Rent to Own</a></li>
                    <li><a href="/faqs">FAQ's</a></li>
                    <li><a href="/contact-us">Contact Us</a></li>
                  </ul>
                </div>
              </div>
              <div class=" col-sm-12 col-md-6 col-lg-3">
                <h3>Contact  Us</h3>
                <div class="ftr_address">
                  <ul>
                    <li><span class="material-icons">location_on</span> {{location}}</li>
                    <li><span class="material-icons">phone</span> <a :href="'tel:'+contact_phone_link">{{contact_phone_text}}</a></li>
                  </ul>
                </div>
              </div>
              <div class="col-md-12 col-lg-3">
                <div class="ftr-newsletter">
                  <h3>Subscribe to Our E-News</h3>
                  <input type="text" placeholder="Email Address" class="newsletter-texbox">
                  <input type="submit" class="newsletter-submit" value="Send">
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="copyright_content">
          <div class="container">
            <div class="row">
              <div class="col-md-12 col-lg-5"> &copy;  {{ current_year }} Copyright RentalsRUs. All Rights Reserved . </div>
              <div class="col-md-12 col-lg-7">
                <div class="float-right"><a href="/privacy-policy">Privacy Policy</a> <a href="/complaints-policy">Complaints Policy</a></div>
              </div>
            </div>
          </div>
        </div>
      </footer>
</template>
<script>
var moment=require('moment')
import {cloneDeep} from 'lodash';
import options from '~/assets/options';
export default {
  data() {
    return  {
      options     : options,
      categories : this.$store.state.front_end_data.category_options,
      location : this.$store.state.front_end_data.allset_location,
      current_year : moment().format('YYYY'),
      domain        : this.$store.state.front_end_data.domain,
      contact_phone_text: this.$store.state.front_end_data.site_defaults.footer_contact_text,
      contact_phone_link: this.$store.state.front_end_data.site_defaults.footer_contact_link,
    }
  },
  computed: {
    location_name(){
      if(this.$store.state.front_end_data.location_name!='' && this.$store.state.front_end_data.location_name!=null) {
        return '/'+this.$store.state.front_end_data.location_name;
      }
      return "";
    }
  },
  mounted() {
    this.$store.watch(() => this.$store.state.front_end_data, async () => {
         this.location_name = this.$store.state.front_end_data.location_name;
    });
    setTimeout(() => {
      bodyOnLoad();
    }, 0);
  },
  methods:{
  }
}
</script>